%define upstream_name	 MIME-tools
%define upstream_version 5.507

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl modules for parsing (and creating!) MIME entities
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		MIME-tools-5.506-UTF8.patch
Patch1:		MIME-tools-5.507-rt113887.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(IO::File) >= 1.130.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(MIME::Base64) >= 2.200.0
BuildRequires: perl(Mail::Field) >= 1.50.0
BuildRequires: perl(Mail::Header) >= 1.10.0
BuildRequires: perl(Mail::Internet) >= 1.20.300
# ================ Test Suite ========================
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(lib)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Requires:   perl(File::Temp)   >= 0.17
Requires:   perl(IO::Stringy)  >= 1.211
Requires:   perl(MIME::Base64) >= 3.03
Requires:   perl(Mail::Util)   >= 1.15
Requires:   perl(Convert::BinHex)
%description
MIME-tools - modules for parsing (and creating!) MIME entities. Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Fix character encoding
%patch0

# Work around behaviour change in MailTools > 2.14 (#1329082, CPAN RT#113887)
%patch1 -p1

%build
rm -f set-version.pl
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/02-kwalitee.t
%make_build test

%install
%make_install 

%files
%doc COPYING ChangeLog INSTALLING META.yml MYMETA.yml README examples
%{perl_vendorlib}/MIME
%{_mandir}/*/*


%changelog
* Thu May 12 2016 tv <tv> 5.507.0-4.mga6
+ Revision: 1014206
- fix build by adding FC patches
- use std build macros
- add BRs for testsuite

* Sat Feb 20 2016 umeabot <umeabot> 5.507.0-2.mga6
+ Revision: 971327
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 5.507.0-1.mga6
+ Revision: 891414
- update to 5.507

* Sat Jul 04 2015 sander85 <sander85> 5.506.0-1.mga6
+ Revision: 850130
- update to 5.506

* Wed Oct 15 2014 umeabot <umeabot> 5.505.0-3.mga5
+ Revision: 751044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.505.0-2.mga5
+ Revision: 685298
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 5.505.0-1.mga5
+ Revision: 588146
- update to 5.505

* Sat Oct 19 2013 umeabot <umeabot> 5.504.0-2.mga4
+ Revision: 527086
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 5.504.0-1.mga4
+ Revision: 439486
- update to 5.504

* Mon Mar 11 2013 neoclust <neoclust> 5.503.0-3.mga3
+ Revision: 402091
- Add requires in perl-Convert-BinHex

* Sun Jan 13 2013 umeabot <umeabot> 5.503.0-2.mga3
+ Revision: 369330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 5.503.0-1.mga3
+ Revision: 268004
- update to 5.503

* Wed Mar 09 2011 jquelin <jquelin> 5.502.0-1.mga1
+ Revision: 66998
- update to 5.502

* Sat Feb 26 2011 jquelin <jquelin> 5.501.0-1.mga1
+ Revision: 60811
- update to 5.501

* Mon Feb 21 2011 spuhler <spuhler> 5.500.0-3.mga1
+ Revision: 55177
- Increased rel for rebuild against perl-5.12
  +BuildRequires: perl(Test::Deep)

  + jquelin <jquelin>
    - update to 5.500

* Sat Jan 22 2011 jquelin <jquelin> 5.428.0-2.mga1
+ Revision: 32163
- mageia rebuild
- imported package perl-MIME-tools

